Leviton Security and Automation

 Compatibility verified with

  • Omni Automation Controller

Omni LTe, Omni IIe, Omni Pro II, Lumina, and Lumina Pro

Automation controller must be running firmware version 3.9 or higher.

  • OmniTouch7

Touchscreens must be running firmware version 1.8 or higher.

 

Configuration Guide

Configuring 2N IP Intercom for OmniTouch7 Integration

Configuring Intercom Functions on an OmniTouch7 Touchscreen